{% extends 'base.html.twig' %}

{% block mainHeader %}
    <div class="container-fluid d-flex bg-white justify-content-start px-4 py-4 flex-wrap gap-3">
        <span class="text-primary fs-5 align-self-center">Offene Einladungen an {{ userRegistrationType.getName() }} <span class="text-secondary">({{ userInvitations|length }})</span></span>
        <button class="mdc-button mdc-button--leading ms-auto" data-coreui-toggle="collapse" data-coreui-target="#user_invitation_filter" aria-expanded="false" aria-controls="user_invitation_filter">
            <span class="mdc-button__ripple"></span>
            <i class="material-icons mdc-button__icon" aria-hidden="true">filter_alt</i>
            <span class="mdc-button__label d-none d-md-block">Filter</span>
        </button>
        <button class="mdc-button mdc-button--leading ms-auto" data-coreui-toggle="collapse" data-coreui-target="#user_invitation_search" aria-expanded="false" aria-controls="user_invitation_search">
            <span class="mdc-button__ripple"></span>
            <i class="material-icons mdc-button__icon" aria-hidden="true">search</i>
            <span class="mdc-button__label d-none d-md-block">Suche</span>
        </button>

        {% if is_granted('ROLE_USER') == true %}
            <a class="mdc-button mdc-button--raised mdc-button--leading ms-auto align-self-center" href="{{ path('external_user_user_invitation_create', {'userRegistrationTypeName': app.request.attributes.get('_route_params').userRegistrationTypeName}) }}">
                <span class="mdc-button__ripple"></span>
                <i class="material-icons mdc-button__icon" aria-hidden="true">add</i>
                <span class="mdc-button__label d-md-none">einladen</span>
                <span class="mdc-button__label d-none d-md-block">Nutzer:in einladen</span>
            </a>
        {% endif %}
    </div>
    <div class="collapse bg-white" id="user_invitation_search">
        <div class="p-4">
            {{ form_start(userInvitationSearchForm) }}
            <div class="row mb-4">
                <div class="col-md-9">
                    {% include 'component/mdc_search_field_component.html.twig' with {
                        'id': userInvitationSearchForm.text.vars.id ~ '_mdc_text_field',
                        'labelId': userInvitationSearchForm.text.vars.id ~ '_label',
                        'label': userInvitationSearchForm.text.vars.label,
                        'type': 'text',
                        'name': userInvitationSearchForm.text.vars.full_name,
                        'value': userInvitationSearchForm.text.vars.value,
                        'disabled': userInvitationSearchForm.text.vars.disabled,
                        'required': userInvitationSearchForm.text.vars.required,
                        'suffix': null,
                    } only %}
                </div>
                <div class="col-md-3 mt-2">
                    {{ form_widget(userInvitationSearchForm.search, {'label': 'suchen', 'attr': {'class': 'mdc-button mdc-button--raised mdc-button--leading ms-auto'}}) }}
                </div>
            </div>
            {{ form_row(userInvitationSearchForm._token) }}
            {{ form_end(userInvitationSearchForm, {'render_rest': false}) }}
        </div>
    </div>
    <div class="collapse bg-white" id="user_invitation_filter">
        <div class="ps-4 pe-4 pt-1 pb-4">
            {{ form_start(userInvitationFilterForm) }}
            <span class="ms-1">Klassifizierung</span>
            <div class="row mb-3">
                {% for personType in userInvitationFilterForm.personTypes %}
                    <div class="col-lg-3">
                        {{ form_row(personType) }}
                    </div>
                {% endfor %}
            </div>
            <div class="pt-2">
                {{ form_widget(userInvitationFilterForm.apply, {'label': 'übernehmen', 'attr': {'class': 'mdc-button mdc-button--raised mdc-button--leading ms-auto'}}) }}
                {{ form_widget(userInvitationFilterForm.reset, { 'attr': {'class': 'mdc-button mdc-button--leading ps-3'}}) }}
            </div>
            {{ form_row(userInvitationFilterForm._token) }}
            {{ form_end(userInvitationFilterForm, {'render_rest': false}) }}
        </div>
    </div>
{% endblock %}

{% block main %}
    <div class="container-fluid mt-4">
        <div class="mdc-card mb-4">
            {% set actionChoices = [] %}

            {% if is_granted('ROLE_USER') == true %}
                {% set actionChoices = actionChoices|merge([
                    {'label': 'Löschen', 'value': path('external_user_user_invitation_mass_operation_delete', {'userRegistrationTypeName': app.request.attributes.get('_route_params').userRegistrationTypeName})},
                    {'label': 'Einladungen erneut senden', 'value': path('external_user_user_invitation_mass_operation_send_invitation', {'userRegistrationTypeName': app.request.attributes.get('_route_params').userRegistrationTypeName})},
                ]) %}
            {% endif %}

            {% include 'external_user/component/user_invitation/user_invitation_list_component.html.twig' with {
                'idPrefix': 'user_invitation_',
                'listItems': userInvitations,
                'showActionButton': (is_granted('ROLE_USER') or is_granted('ROLE_VIEWER')),
                'noEntriesText': 'Es gibt keine offenen Einladungen',
                'massOperation': is_granted('ROLE_USER'),
                'pagination': true,
                'sortable': true,
                'actionChoices': actionChoices
            } only %}
        </div>
    </div>
{% endblock %}

{% block tabBar %}
    {% include 'component/mdc_tab_bar_component.html.twig' with {
        'id': 'user_invitation_type_mdc_tab_bar',
        'tabs': [
            {'name': 'Suchende', 'id': 'user_invitation_property_seeker_tab', 'url': path('external_user_user_invitation_overview', {'userRegistrationTypeName': 'suchende'}), 'active': false},
            {'name': 'Anbietende', 'id': 'user_invitation_property_provider_tab', 'url': path('external_user_user_invitation_overview', {'userRegistrationTypeName': 'anbietende'}), 'active': false},
        ]
    } only %}
{% endblock %}
